package cn.hmsoft.pay.impl.newupay;

/*******************
 * 
 * @note 查询相应
 * @author revisit@126.com
 * @Company: www.hmsoft.cn
 * @create 2018年2月9日 上午11:37:48
 * @version 4.0.0
 */
public class NewUPayQueryResponse {

	/*************
	 * 必填：AN4
	 * 
	 * 响应码:0000：查询成功
	 **************/
	private String respCode;

	/*************
	 * 必填：ANS0..128
	 * 
	 * 响应码描述:响应码描述
	 **************/
	private String respMsg;
	/*************
	 * 必填：AN8
	 * 
	 * 版本号:固定值：20140728
	 **************/
	private String Version;
	/*************
	 * 选填：N1
	 * 
	 * 接入类型:0：商户身份接入（默认）
	 **************/
	private String AccessType;

	/*************
	 * 选填：N15
	 * 
	 * 接入机构号:以机构身份接入时必填
	 **************/
	private String InstuId;
	/*************
	 * 选填：N4
	 * 
	 * 交易类型:原交易的交易类型
	 **************/
	private String TranType;
	/*************
	 * 必填：N4
	 * 
	 * 业务类型:原交易的业务类型
	 **************/
	private String BusiType;
	/*************
	 * 选填：N15
	 * 
	 * 收单机构号:ChinaPay分配
	 **************/
	private String AcqCode;
	/*************
	 * 必填：N15
	 * 
	 * 商户号:由ChinaPay分配的15位定长数字，用于确认商户身份
	 **************/
	private String MerId;
	/*************
	 * 选填：AN1..32
	 * 
	 * 商户订单号:商户订单号
	 **************/
	private String MerOrderNo;
	/*************
	 * 必填：N8
	 * 
	 * 商户交易日期:YYYYMMDD
	 **************/
	private String TranDate;
	/*************
	 * 选填：ANS0..1024
	 * 
	 * 商户私有域信息:ChinaPay原样返回
	 **************/
	private String MerResv;
	/*************
	 * 必填：AN4
	 * 
	 * 订单状态:0000表示支付成功，详见附录B
	 **************/
	private String OrderStatus;
	/*************
	 * 必填：N1..20
	 * 
	 * 订单金额:单位：分
	 **************/
	private String OrderAmt;
	/*************
	 * 必填：N1..20
	 * 
	 * 已退款金额:单位：分
	 **************/
	private String RefundSumAmount;

	/*************
	 * 选填：A3
	 * 
	 * 交易币种:返回所查询交易的交易币种
	 **************/
	private String CurryNo;
	/*************
	 * 选填：N4
	 * 
	 * 分账类型:返回所查询分账交易的分账类型
	 **************/
	private String SplitType;
	/*************
	 * 选填：N1
	 * 
	 * 分账方式:返回所查询分账交易的分账方式
	 **************/
	private String SplitMethod;
	/*************
	 * 选填：ANS0..512
	 * 
	 * 商户订单分账信息:返回所查询分账交易的分账信息
	 **************/
	private String MerSplitMsg;
	/*************
	 * 选填：AN16
	 * 
	 * 收单流水号:ChinaPay收单系统交易受理流水号
	 **************/
	private String AcqSeqId;
	/*************
	 * 选填：AN8
	 * 
	 * 收单日期:YYYYMMDD
	 **************/
	private String AcqDate;
	/*************
	 * 选填：ANS0..1024
	 * 
	 * 交易扩展域:交易扩展域，JSON格式，BusiId和P1-P10组成的json字符串
	 **************/
	private String TranReserved;
	/*************
	 * 选填：N8
	 * 
	 * 订单完成日期:YYYMMDD
	 **************/
	private String CompleteDate;
	/*************
	 * 选填：N6
	 * 
	 * 订单完成时间:hhmmss
	 **************/
	private String CompleteTime;
	/*************
	 * 必填：
	 * 
	 * 签名:商户报文签名信息，报文中的所有字段都参与签名（Signature除外）
	 **************/
	private String Signature;

	

	public String getRespCode() {
		return respCode;
	}

	public void setRespCode(String respCode) {
		this.respCode = respCode;
	}

	public String getRespMsg() {
		return respMsg;
	}

	public void setRespMsg(String respMsg) {
		this.respMsg = respMsg;
	}

	public String getVersion() {
		return Version;
	}

	public void setVersion(String version) {
		Version = version;
	}

	public String getAccessType() {
		return AccessType;
	}

	public void setAccessType(String accessType) {
		AccessType = accessType;
	}

	public String getInstuId() {
		return InstuId;
	}

	public void setInstuId(String instuId) {
		InstuId = instuId;
	}

	public String getTranType() {
		return TranType;
	}

	public void setTranType(String tranType) {
		TranType = tranType;
	}

	public String getBusiType() {
		return BusiType;
	}

	public void setBusiType(String busiType) {
		BusiType = busiType;
	}

	public String getAcqCode() {
		return AcqCode;
	}

	public void setAcqCode(String acqCode) {
		AcqCode = acqCode;
	}

	public String getMerId() {
		return MerId;
	}

	public void setMerId(String merId) {
		MerId = merId;
	}

	public String getMerOrderNo() {
		return MerOrderNo;
	}

	public void setMerOrderNo(String merOrderNo) {
		MerOrderNo = merOrderNo;
	}

	public String getTranDate() {
		return TranDate;
	}

	public void setTranDate(String tranDate) {
		TranDate = tranDate;
	}

	public String getMerResv() {
		return MerResv;
	}

	public void setMerResv(String merResv) {
		MerResv = merResv;
	}

	public String getOrderStatus() {
		return OrderStatus;
	}

	public void setOrderStatus(String orderStatus) {
		OrderStatus = orderStatus;
	}

	public String getOrderAmt() {
		return OrderAmt;
	}

	public void setOrderAmt(String orderAmt) {
		OrderAmt = orderAmt;
	}

	public String getRefundSumAmount() {
		return RefundSumAmount;
	}

	public void setRefundSumAmount(String refundSumAmount) {
		RefundSumAmount = refundSumAmount;
	}

	public String getCurryNo() {
		return CurryNo;
	}

	public void setCurryNo(String curryNo) {
		CurryNo = curryNo;
	}

	public String getSplitType() {
		return SplitType;
	}

	public void setSplitType(String splitType) {
		SplitType = splitType;
	}

	public String getSplitMethod() {
		return SplitMethod;
	}

	public void setSplitMethod(String splitMethod) {
		SplitMethod = splitMethod;
	}

	public String getMerSplitMsg() {
		return MerSplitMsg;
	}

	public void setMerSplitMsg(String merSplitMsg) {
		MerSplitMsg = merSplitMsg;
	}

	public String getAcqSeqId() {
		return AcqSeqId;
	}

	public void setAcqSeqId(String acqSeqId) {
		AcqSeqId = acqSeqId;
	}

	public String getAcqDate() {
		return AcqDate;
	}

	public void setAcqDate(String acqDate) {
		AcqDate = acqDate;
	}

	public String getTranReserved() {
		return TranReserved;
	}

	public void setTranReserved(String tranReserved) {
		TranReserved = tranReserved;
	}

	public String getCompleteDate() {
		return CompleteDate;
	}

	public void setCompleteDate(String completeDate) {
		CompleteDate = completeDate;
	}

	public String getCompleteTime() {
		return CompleteTime;
	}

	public void setCompleteTime(String completeTime) {
		CompleteTime = completeTime;
	}

	public String getSignature() {
		return Signature;
	}

	public void setSignature(String signature) {
		Signature = signature;
	}

}
